%define tarball_version %{version}

%define rel 1

Summary:        PHP plugin for kdevelop
Name:           kdevelop-php
Version: 5.0.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          Development/Other
Url:            http://www.kdevelop.org
Source0:        http://download.kde.org/stable/kdevelop/%{version}/src/kdev-php-%{tarball_version}.tar.xz
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  kdevplatform-devel >= %{version}
BuildRequires:  kdevelop-pg-qt-devel

Requires:       kdevelop >= %{version}
Obsoletes:      kdevelop4-php < 4.90.91
Obsoletes:      kdevelop4-php-docs < 4.90.90

%description
This plugin adds PHP language support (including classview and code-completion)
to KDevelop.

%files -f kdevphp.lang
%{_kf5_libdir}/libkdevphpcompletion.so
%{_kf5_libdir}/libkdevphpduchain.so
%{_kf5_libdir}/libkdevphpparser.so
%{_qt5_plugindir}/kdevplatform/25/*
%{_kf5_datadir}/kdevappwizard/templates/simple_phpapp.tar.bz2
%{_kf5_datadir}/kdevphpsupport
%{_kf5_services}/kcm_kdevphpdocs.desktop
%{_kf5_services}/kdevphpunitprovider.desktop

#--------------------------------------------------------------------

%prep
%setup -qn kdev-php-%{tarball_version}

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang kdevphp --all-name


%changelog
* Sat Dec 31 2016 neoclust <neoclust> 5.0.3-1.mga6
+ Revision: 1078768
- new version 5.0.3

* Thu Sep 22 2016 daviddavid <daviddavid> 5.0.1-1.mga6
+ Revision: 1055136
- new version: 5.0.1

* Fri Aug 26 2016 daviddavid <daviddavid> 5.0.0-1.mga6
+ Revision: 1048977
- new version: 5.0.0 final

* Thu Jan 28 2016 fwang <fwang> 4.90.91-1.mga6
+ Revision: 928316
- 4.90.91

* Thu Oct 29 2015 fwang <fwang> 4.90.90-2.mga6
+ Revision: 896383
- fix obsoletes

* Thu Oct 29 2015 fwang <fwang> 4.90.90-1.mga6
+ Revision: 896368
- rename pkg
- update file list
- 4.90.90
- rename to kdevelop-php

* Tue Feb 10 2015 lmenut <lmenut> 1.7.1-1.mga5
+ Revision: 814627
- Update to 1.7.1

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-3.mga5
+ Revision: 748255
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-2.mga5
+ Revision: 681014
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 1.7.0-1.mga5
+ Revision: 668567
- 1.7.0

* Sat Aug 23 2014 fwang <fwang> 1.6.90-1.mga5
+ Revision: 666748
- 1.6.90

  + colin <colin>
    - Fix revision to proper number

* Tue Dec 10 2013 colin <colin> 1.6.0-0.1.mga4
+ Revision: 556198
- New version: 1.6.0

* Mon Nov 18 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 551712
- new version 1.5.2

* Sat Oct 19 2013 umeabot <umeabot> 1.5.1-2.mga4
+ Revision: 525530
- Mageia 4 Mass Rebuild

* Fri May 31 2013 fwang <fwang> 1.5.1-1.mga4
+ Revision: 433530
- new version 1.5.1

* Fri May 24 2013 fwang <fwang> 1.5.0-1.mga4
+ Revision: 425755
- update file list
- new version 1.5.0

* Sat Jan 12 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 356065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 313219
- new version 1.4.1

* Tue Oct 16 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 307075
- new version 1.4.0

* Tue Sep 11 2012 fwang <fwang> 1.3.90-1.mga3
+ Revision: 292133
- new verison 1.3.90

* Sat Aug 04 2012 fwang <fwang> 1.3.80-1.mga3
+ Revision: 278382
- new version 1.3.80

* Sun Apr 15 2012 fwang <fwang> 1.3.1-1.mga2
+ Revision: 230834
- new version 1.3.1

* Mon Mar 12 2012 fwang <fwang> 1.3.0-1.mga2
+ Revision: 222973
- new version 1.3.0 final

* Sat Feb 25 2012 fwang <fwang> 1.2.90-1.mga2
+ Revision: 214285
- new version 1.2.90

* Tue Feb 14 2012 fwang <fwang> 1.2.82-1.mga2
+ Revision: 208707
- new version 1.2.82

* Mon Jan 23 2012 fwang <fwang> 1.2.81-1.mga2
+ Revision: 200320
- new version 1.2.81

* Sat Jun 25 2011 mikala <mikala> 1.2.3-1.mga2
+ Revision: 113683
- Update tarball to 1.2.3 ( http://kdevelop.org/kdevelop/kdevelop-423-released )

* Fri May 13 2011 mikala <mikala> 1.2.2-1.mga1
+ Revision: 97845
- Remove BuildRoot
- imported package kdevelop4-php

